version: '2'
services:
  idcard:
    hostname: idcard
    container_name: idcard
    restart: always
    image: registry.cn-hangzhou.aliyuncs.com/sxtest/idcard:cpu
    privileged: true
    ipc: host
    tty: true
    working_dir: /workspace
    ports:
      - '18080:8080'
      - '18222:22'
    volumes:
      - ./:/workspace
#    deploy:
#      resources:
#        reservations:
#          devices:
#            - capabilities: [gpu]
